Bug 715874 - FTBFS fawkes-0.4.2-4.fc16
FTBFS fawkes-0.4.2-4.fc16
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fawkes (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Tim Niemueller
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Reopened, Triaged
Depends On:
Blocks: F16FTBFS
  Show dependency treegraph
 
Reported: 2011-06-23 11:27 EDT by FTBFS
Modified: 2011-10-24 23:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: fawkes-0.4.2-6.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 23:47:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (820.12 KB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
build.log (5.75 KB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
mock.log (1.19 KB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
root.log (1.37 MB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
build.log (5.74 KB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
mock.log (1.28 KB, text/plain)
2011-06-23 11:27 EDT, FTBFS
no flags Details
Proposed fix (565 bytes, patch)
2011-08-19 09:48 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description FTBFS 2011-06-23 11:27:34 EDT
fawkes-0.4.2-4.fc16.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2011-06-23 11:27:39 EDT
Created attachment 507613 [details]
root.log


root.log for i386
Comment 2 FTBFS 2011-06-23 11:27:42 EDT
Created attachment 507614 [details]
build.log


build.log for i386
Comment 3 FTBFS 2011-06-23 11:27:43 EDT
Created attachment 507615 [details]
mock.log


mock.log for i386
Comment 4 FTBFS 2011-06-23 11:27:47 EDT
Created attachment 507616 [details]
root.log


root.log for x86_64
Comment 5 FTBFS 2011-06-23 11:27:49 EDT
Created attachment 507617 [details]
build.log


build.log for x86_64
Comment 6 FTBFS 2011-06-23 11:27:50 EDT
Created attachment 507618 [details]
mock.log


mock.log for x86_64
Comment 7 Jaroslav Škarvada 2011-08-19 09:48:56 EDT
Created attachment 519039 [details]
Proposed fix

The attached patch should fix the compilation on rawhide.

If you do not have time to fix it, I can help you co-maintain.
Comment 8 Tim Niemueller 2011-08-19 10:46:31 EDT
Fawkes 0.5 is around the corner and I'll just upgrade once released (within a month time).
Comment 9 Jaroslav Škarvada 2011-08-22 04:49:22 EDT
Tim, great to hear about the 0.5.

Till the release, please could you fix the 0.4 build? It is only the simple rebuild with the attached one-liner. F16 is near and it is not good to have packages with broken deps there. It can be updated later to 0.5.
Comment 10 Alex Lancaster 2011-10-14 19:22:43 EDT
Considering this was still causing f16 and rawhide breakage (and is related to a package I am a co-maintainer of: graphviz), I took the liberty of applying Jaroslav's patch and rebuild for rawhide:

http://koji.fedoraproject.org/koji/buildinfo?buildID=268709

I'll do an f16 update at the same time.
Comment 11 Alex Lancaster 2011-10-14 19:25:09 EDT
Ah, I see this is a blocker for f16 FTBFS bug.  I'll re-open under f16.
Comment 12 Fedora Update System 2011-10-14 19:44:14 EDT
fawkes-0.4.2-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fawkes-0.4.2-6.fc16
Comment 13 Fedora Update System 2011-10-15 10:31:01 EDT
Package fawkes-0.4.2-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fawkes-0.4.2-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14362
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-10-24 23:47:00 EDT
fawkes-0.4.2-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.